Comment 0 for bug 868188

Double-clicking the latest version of Google's Chrome .deb file (x64) results in Software Center (eventually) loading and displaying the following:

Internal Error
The file "/home/.../google-chrome-stable_current_amd64.deb" could not be opened.

The expected result was that the deb file would open and the option to install would be shown.

Using 11.10 Beta 2:
Description: Ubuntu oneiric (development branch)
Release: 11.10
software-center version 5.0

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: software-center 5.0
ProcVersionSignature: Ubuntu 3.0.0-12.19-generic 3.0.4
Uname: Linux 3.0.0-12-generic x86_64
ApportVersion: 1.23-0ubuntu2
Architecture: amd64
Date: Wed Oct 5 09:54:04 2011
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Beta amd64 (20110921.2)
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_GB:en
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
SourcePackage: software-center
UpgradeStatus: No upgrade log present (probably fresh install)